SDL_PauseAudioStreamDevice(3)

NAME
SDL_PauseAudioStreamDevice - Use this function to pause audio playback on the audio device associated with an audio stream.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_PauseAudioStreamDevice(SDL_AudioStream *stream);

DESCRIPTION
This function pauses audio processing for a given device. Any bound audio streams will not progress, and no audio will be generated. Pausing one device does not prevent other unpaused devices from running.

Pausing a device can be useful to halt all audio without unbinding all the audio streams. This might be useful while a game is paused, or a level is loading, etc.

FUNCTION PARAMETERS

stream
    the audio stream associated with the audio device to pause.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_ResumeAudioStreamDevice(3)